package com.atomikos.demo.jaxws.client;

import java.util.List;

import javax.transaction.TransactionManager;
import javax.xml.ws.Binding;
import javax.xml.ws.BindingProvider;
import javax.xml.ws.handler.Handler;

import com.atomikos.demo.jaxws.stub.WebShop;
import com.atomikos.demo.jaxws.stub.WebShopService;
import com.atomikos.icatch.jaxws.wsat.ExportingTransactionHandler;
import com.atomikos.icatch.jta.UserTransactionManager;

public class Client {

	public static void main(String[] args) throws Exception {
		UserTransactionManager utm = new UserTransactionManager();
		utm.init();
		TransactionManager ut = utm;

	    ut.begin();

		WebShop shop = new WebShopService().getWebShopPort();
		
		Binding binding = ((BindingProvider)shop).getBinding();
	    List<Handler> handlerList = binding.getHandlerChain();
	    handlerList.add(new ExportingTransactionHandler());
	    binding.setHandlerChain(handlerList);

		
		((BindingProvider) shop).getRequestContext().put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY, "http://localhost:8888/shop");

		shop.buy("prod-123", 1);
		
		System.out.println("client bought OK");
		
		ut.commit();

		utm.close();
	}

}

